NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.EdgeRipBuilder Class Reference

Represents a Edge Rip feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.EdgeRipBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EndCapShapeOptions { Square, Round }
 This enum defines the end cap shapes. More...
 

Public Member Functions

unsafe NXOpen.Edge[] GetRipEdges ()
 Edges to rip More...
 
unsafe void SetRipEdges (NXOpen.Edge[] ripEdges)
 Edges to rip More...
 
unsafe int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Edge Rip or not. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BlendRadius [get]
 Returns the blend radius. More...
 
unsafe bool BlendSharpCorners [get, set]
 Returns or sets whether sharp corners should be blended. More...
 
unsafe
NXOpen.Features.SheetMetal.EdgeRipBuilder.EndCapShapeOptions 
EndCapShape [get, set]
 Returns or sets the end cap shape type. More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the section used by Edge Rip More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the Slave Sketch used by the Edge Rip, If one exists. More...
 
unsafe bool UseSystemWidth [get, set]
 Returns or sets whether the system width should be used. More...
 
unsafe NXOpen.Expression Width [get]
 Returns the rip width. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Edge Rip feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateEdgeRipFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum defines the end cap shapes.

Enumerator
Square 

square end caps

Round 

round end caps

Member Function Documentation

unsafe NXOpen.Edge [] NXOpen.Features.SheetMetal.EdgeRipBuilder.GetRipEdges ( )
inline

Edges to rip

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
Rip Edges
unsafe void NXOpen.Features.SheetMetal.EdgeRipBuilder.SetRipEdges ( NXOpen.Edge[]  ripEdges)
inline

Edges to rip

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
ripEdgesRip Edges
unsafe int NXOpen.Features.SheetMetal.EdgeRipBuilder.ValidateBuilderData ( )
inline

Verify whether the builder data is valid for creating a Edge Rip or not.

If the Builder data is valid, returned value shall be 0

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.EdgeRipBuilder.BlendRadius
get

Returns the blend radius.

This only applies if NXOpen.Features.SheetMetal.EdgeRipBuilder.BlendSharpCorners is set to true.

Created in NX12.0.2

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.EdgeRipBuilder.BlendSharpCorners
getset

Returns or sets whether sharp corners should be blended.

If true, blends will be applied at sharp corners with radius specified by NXOpen.Features.SheetMetal.EdgeRipBuilder.BlendRadius .

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.EdgeRipBuilder.EndCapShapeOptions NXOpen.Features.SheetMetal.EdgeRipBuilder.EndCapShape
getset

Returns or sets the end cap shape type.

This only applies if NXOpen.Features.SheetMetal.EdgeRipBuilder.UseSystemWidth is set to false.

Specify NXOpen.Features.SheetMetal.EdgeRipBuilder.EndCapShapeOptions.Square for square end caps. Specify NXOpen.Features.SheetMetal.EdgeRipBuilder.EndCapShapeOptions.Round for rounded end caps.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.EdgeRipBuilder.Section
getset

Returns or sets the section used by Edge Rip

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.EdgeRipBuilder.Sketch
getset

Returns or sets the Slave Sketch used by the Edge Rip, If one exists.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.EdgeRipBuilder.UseSystemWidth
getset

Returns or sets whether the system width should be used.

If true, edge rip will be created with the system default rip width.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.EdgeRipBuilder.Width
get

Returns the rip width.

This only applies if NXOpen.Features.SheetMetal.EdgeRipBuilder.UseSystemWidth is set to false.

Created in NX12.0.2

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.